From bfae30d7fae41424ffc3675d69bc1e0961936ab9 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 17 2017 09:04:46 +0000
Subject: [PATCH 3/5] Adapt to the newer fedora-bootstrap


---

diff --git a/hubs/static/client/app/components/Dropdown.jsx b/hubs/static/client/app/components/Dropdown.jsx
index ae1872c..efa6201 100644
--- a/hubs/static/client/app/components/Dropdown.jsx
+++ b/hubs/static/client/app/components/Dropdown.jsx
@@ -62,7 +62,7 @@ export default class Dropdown extends React.Component {
     }
 
     return (
-      <div className="pull-right">
+      <div className="float-right">
        {saveBtn}
         {deleteBtn}
       </div>
diff --git a/hubs/static/client/app/components/Modal.jsx b/hubs/static/client/app/components/Modal.jsx
index 1ba31b1..5aa6749 100644
--- a/hubs/static/client/app/components/Modal.jsx
+++ b/hubs/static/client/app/components/Modal.jsx
@@ -5,6 +5,9 @@ export default class Modal extends React.Component {
 
   constructor(props) {
     super(props);
+    this.state = {
+      open: false,
+    }
     this.onShow = this.onShow.bind(this);
     this.onShown = this.onShown.bind(this);
     this.onHide = this.onHide.bind(this);
@@ -57,15 +60,23 @@ export default class Modal extends React.Component {
     if (!this.domNode) { return; }
     var domNode = $(this.domNode);
     if (callback) { domNode.one("shown.bs.modal", callback); }
-    $(this.domNode).modal("show");
+    domNode.modal("show");
   }
 
   componentWillUpdate(nextProps, nextState) {
-    if (!nextProps.open) { this.hide(); }
+    if (!this.domNode) { return; }
+    const domNode = $(this.domNode);
+    if (domNode.is(":visible") && !nextProps.open) {
+      this.hide();
+    }
   }
 
   componentDidUpdate() {
-    if (this.props.open) { this.show(); }
+    if (!this.domNode) { return; }
+    const domNode = $(this.domNode);
+    if (this.props.open && !domNode.is(":visible")) {
+      this.show();
+    }
   }
 
   getModalBody() {
@@ -83,8 +94,8 @@ export default class Modal extends React.Component {
         <div className="modal-dialog" role="document">
           <div className="modal-content">
             <div className="modal-header">
-              <button type="button" className="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
               <h4 className="modal-title">{this.props.title}</h4>
+              <button type="button" className="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
             </div>
             <div className="modal-body">
               {this.getModalBody()}
diff --git a/hubs/static/client/app/components/Tab.jsx b/hubs/static/client/app/components/Tab.jsx
index 976e04b..3dd8b5a 100644
--- a/hubs/static/client/app/components/Tab.jsx
+++ b/hubs/static/client/app/components/Tab.jsx
@@ -3,10 +3,12 @@ import React from 'react';
 
 export default class Tab extends React.Component {
   render() {
+    var linkClass = `nav-link ${this.props.tabLinkClass}`;
+    if (this.props.active) { linkClass += " active"; }
     return (
-      <li role="presentation">
+      <li className="nav-item">
         <a href="#" role="tab"
-           className={"nav-link" + (this.props.active ? " active" : "")}
+           className={linkClass}
            onClick={this.props.linkClicked}
            >
           {this.props.children}
@@ -16,6 +18,12 @@ export default class Tab extends React.Component {
   }
 }
 
+Tab.propTypes = {
+  tabLinkClass: React.PropTypes.string,
+};
+Tab.defaultProps = {
+  tabLinkClass: '',
+};
 
 
 // vim: set ts=2 sw=2 et:
diff --git a/hubs/static/client/app/components/TabSet.jsx b/hubs/static/client/app/components/TabSet.jsx
index c53bc31..e366f37 100644
--- a/hubs/static/client/app/components/TabSet.jsx
+++ b/hubs/static/client/app/components/TabSet.jsx
@@ -41,7 +41,7 @@ export default class TabSet extends React.Component {
     return (
       <div {...this.props.tabWrapperProps}>
         <ul role="tablist"
-            className={"nav nav-tabs " + this.props.tabListClass}
+            className={`nav nav-${this.props.tabType} ${this.props.tabListClass}`}
             >
           {tabLinks}
         </ul>
@@ -58,11 +58,13 @@ export default class TabSet extends React.Component {
 
 TabSet.propTypes = {
   tabWrapperProps: React.PropTypes.object,
+  tabType: React.PropTypes.string,
   tabListClass: React.PropTypes.string,
   tabContentClass: React.PropTypes.string,
 };
 TabSet.defaultProps = {
   tabWrapperProps: {},
+  tabType: 'tabs',
   tabListClass: '',
   tabContentClass: '',
 };
diff --git a/hubs/static/client/app/core/HubConfig.jsx b/hubs/static/client/app/core/HubConfig.jsx
index f3993d7..01c079f 100644
--- a/hubs/static/client/app/core/HubConfig.jsx
+++ b/hubs/static/client/app/core/HubConfig.jsx
@@ -157,6 +157,9 @@ export default class HubConfig extends React.Component {
         <div className="modal-dialog modal-lg" role="document">
           <div className="modal-content">
               <div className="modal-header">
+                <h5 className="modal-title">
+                  <FormattedMessage {...messages.title} />
+                </h5>
                 <button
                   type="button"
                   className="close"
@@ -166,60 +169,61 @@ export default class HubConfig extends React.Component {
                   >
                   <span aria-hidden="true">&times;</span>
                 </button>
-                <h4 className="modal-title">
-                  <FormattedMessage {...messages.title} />
-                </h4>
               </div>
-              <div className="modal-body">
-                <div className="row">
-                  <TabSet
-                    tabWrapperProps={{
-                      className: "d-flex",
-                      style: {display: "flex"},
-                      }}
-                    tabListClass="col-md-3"
-                    tabContentClass="col-md-9"
-                    >
-                    <GeneralPanel
-                      hubConfig={this.state.hubConfig}
-                      generalConfig={this.state.generalConfig}
-                      tabTitle={<FormattedMessage {...messages.general} />}
-                      handleChange={this.handleChange}
-                      loading={this.state.loading}
-                      />
-                    <UserPanel
-                      users={this.state.users.owner}
-                      generalConfig={this.state.generalConfig}
-                      role="owner"
-                      handleChange={this.handleUserChange}
-                      tabTitle={<FormattedMessage {...messages.owners} />}
-                      loading={this.state.loading}
-                      urls={this.props.urls}
-                      />
-                    <UserPanel
-                      users={this.state.users.member}
-                      generalConfig={this.state.generalConfig}
-                      role="member"
-                      handleChange={this.handleUserChange}
-                      tabTitle={<FormattedMessage {...messages.members} />}
-                      loading={this.state.loading}
-                      urls={this.props.urls}
-                      />
-                    <ChatPanel
-                      hubConfig={this.state.hubConfig}
-                      generalConfig={this.state.generalConfig}
-                      tabTitle={<FormattedMessage {...messages.chat} />}
-                      handleChange={this.handleChange}
-                      loading={this.state.loading}
-                      />
-                    <NotImplementedPanel
-                      tabTitle={<FormattedMessage {...messages.other} />}
-                      loading={this.state.loading}
-                      />
-                  </TabSet>
-                </div>
+              <div className="modal-body p-0">
+                <TabSet
+                  tabWrapperProps={{className: "row pt-0"}}
+                  tabListClass="flex-md-column justify-content-center justify-content-md-start col-md-3 pt-2 pt-md-3 pb-md-4 pr-md-0 pl-md-2"
+                  tabLinkClass="my-md-2"
+                  tabContentClass="col-md-9 p-3 pb-4"
+                  >
+                  <GeneralPanel
+                    hubConfig={this.state.hubConfig}
+                    generalConfig={this.state.generalConfig}
+                    tabTitle={<FormattedMessage {...messages.general} />}
+                    handleChange={this.handleChange}
+                    loading={this.state.loading}
+                    />
+                  <UserPanel
+                    users={this.state.users.owner}
+                    generalConfig={this.state.generalConfig}
+                    role="owner"
+                    handleChange={this.handleUserChange}
+                    tabTitle={<FormattedMessage {...messages.owners} />}
+                    loading={this.state.loading}
+                    urls={this.props.urls}
+                    />
+                  <UserPanel
+                    users={this.state.users.member}
+                    generalConfig={this.state.generalConfig}
+                    role="member"
+                    handleChange={this.handleUserChange}
+                    tabTitle={<FormattedMessage {...messages.members} />}
+                    loading={this.state.loading}
+                    urls={this.props.urls}
+                    />
+                  <ChatPanel
+                    hubConfig={this.state.hubConfig}
+                    generalConfig={this.state.generalConfig}
+                    tabTitle={<FormattedMessage {...messages.chat} />}
+                    handleChange={this.handleChange}
+                    loading={this.state.loading}
+                    />
+                  <NotImplementedPanel
+                    tabTitle={<FormattedMessage {...messages.other} />}
+                    loading={this.state.loading}
+                    />
+                </TabSet>
               </div>
               <div className="modal-footer">
+                { this.state.error &&
+                  <div
+                    className="alert alert-danger my-0 mx-3 py-1 px-2"
+                    role="alert"
+                    >
+                    { this.state.error }
+                  </div>
+                }
                 <span
                   className="loading"
                   style={this.state.loading ? {display: "inline-block"} : {display: "none"}}
@@ -232,19 +236,6 @@ export default class HubConfig extends React.Component {
                   >
                   <FormattedMessage {...messages.close} />
                 </button>
-                { this.state.error &&
-                  <div
-                    className="alert alert-danger" role="alert"
-                    style={{
-                      margin: "0em 1em",
-                      //textAlign: "center",
-                      display: "inline-block",
-                      padding: "0.375rem",
-                      }}
-                    >
-                    { this.state.error }
-                  </div>
-                }
               </div>
           </div>
         </div>
diff --git a/hubs/static/client/app/core/HubConfigPanelChat.jsx b/hubs/static/client/app/core/HubConfigPanelChat.jsx
index 458fd36..e15a141 100644
--- a/hubs/static/client/app/core/HubConfigPanelChat.jsx
+++ b/hubs/static/client/app/core/HubConfigPanelChat.jsx
@@ -79,7 +79,7 @@ export default class ChatPanel extends React.Component {
             />
           <p className="form-text text-muted">
             <FormattedMessage {...messages.example} tagName="strong" />
-            <span style={{marginLeft: "0.5em"}}>#fedora-devel</span>
+            <span className="ml-2">#fedora-devel</span>
           </p>
         </div>
         <div className="form-group">
diff --git a/hubs/static/client/app/core/HubConfigPanelUser.jsx b/hubs/static/client/app/core/HubConfigPanelUser.jsx
index 3565760..7ef5175 100644
--- a/hubs/static/client/app/core/HubConfigPanelUser.jsx
+++ b/hubs/static/client/app/core/HubConfigPanelUser.jsx
@@ -133,8 +133,10 @@ export default class UserPanel extends React.Component {
             <hr />
           </div>
         }
-        <form className="form-inline" onSubmit={this.handleAdd}
-              style={{marginBottom: "1em"}}>
+        <form
+          className="form-inline mb-3"
+          onSubmit={this.handleAdd}
+          >
           <div className="form-group">
             <FormattedMessage {...messages.add_user}>
               {(message) => (
@@ -154,9 +156,8 @@ export default class UserPanel extends React.Component {
             </FormattedMessage>
             </div>
           <button
-            className="btn btn-primary"
+            className="btn btn-primary ml-3"
             disabled={this.props.loading}
-            style={{marginLeft: "1em"}}
             >
             <FormattedMessage {...messages.add} />
           </button>
diff --git a/hubs/static/client/app/widgets/halp/ModalAllRequests.jsx b/hubs/static/client/app/widgets/halp/ModalAllRequests.jsx
index cbb24b3..e7365a9 100644
--- a/hubs/static/client/app/widgets/halp/ModalAllRequests.jsx
+++ b/hubs/static/client/app/widgets/halp/ModalAllRequests.jsx
@@ -146,9 +146,9 @@ export default class ModalAllRequests extends Modal {
     }
     return (
       <div>
-        <form className="row form-horizontal" method="post"
+        <form className="" method="post"
               action={this.props.urls.search} onSubmit={this.onSubmit}>
-          <div className="form-group">
+          <div className="form-group row">
             <label htmlFor="meetingname" className="col-sm-4 control-label">
               <FormattedMessage {...messages.search_meeting_name} />
             </label>
@@ -157,7 +157,7 @@ export default class ModalAllRequests extends Modal {
                      onChange={this.handleChange} />
             </div>
           </div>
-          <div className="form-group">
+          <div className="form-group row">
             <label htmlFor="startdate" className="col-sm-4 control-label">
               <FormattedMessage {...messages.search_between_dates} />
             </label>
@@ -170,7 +170,7 @@ export default class ModalAllRequests extends Modal {
                      onChange={this.handleChange} />
             </div>
           </div>
-          <div className="form-group">
+          <div className="form-group row">
             <label htmlFor="people" className="col-sm-4 control-label">
               <FormattedMessage {...messages.search_people} />
             </label>
@@ -182,12 +182,11 @@ export default class ModalAllRequests extends Modal {
                 />
             </div>
           </div>
-          <div className="form-group">
-            <div className="col-sm-offset-4 col-sm-8">
+          <div className="form-group row">
+            <div className="offset-sm-4 col-sm-8">
               <button
                 type="submit"
-                className="btn btn-primary"
-                style={{marginRight: "1em"}}
+                className="btn btn-primary mr-3"
                 >
                 <FormattedMessage {...messages.search_button} />
               </button>
diff --git a/hubs/static/client/app/widgets/halp/ModalRequest.jsx b/hubs/static/client/app/widgets/halp/ModalRequest.jsx
index b6d0860..36ea130 100644
--- a/hubs/static/client/app/widgets/halp/ModalRequest.jsx
+++ b/hubs/static/client/app/widgets/halp/ModalRequest.jsx
@@ -63,7 +63,7 @@ export default class ModalRequest extends Modal {
             <FormattedMessage
               {...messages.zoom_tip2}
               />
-            <ul style={{listStyleType: "none"}}>
+            <ul className="list-unstyled">
               <li className="media">
                 <div className="media-left media-middle">
                   <a href={this.props.data.author.url} target="_blank">
@@ -83,7 +83,7 @@ export default class ModalRequest extends Modal {
             <FormattedMessage
               {...messages.zoom_tip3}
               />
-            <ul style={{listStyleType: "none"}}>
+            <ul className="list-unstyled">
               <a href={this.props.data.context_url}>
                 {this.props.data.context_url.replace(/^https?:\/\//, '')}
               </a>
diff --git a/hubs/static/client/app/widgets/halp/Widget.jsx b/hubs/static/client/app/widgets/halp/Widget.jsx
index 91a2fe8..8d64895 100644
--- a/hubs/static/client/app/widgets/halp/Widget.jsx
+++ b/hubs/static/client/app/widgets/halp/Widget.jsx
@@ -147,10 +147,7 @@ export default class Widget extends React.Component {
             onHubClick={this.onHubClick}
             />
           { this.state.loading ?
-              <div
-                className="loading-circle center-block"
-                style={{display: "block"}}
-                ></div>
+              <div className="loading-circle mx-auto d-block"></div>
             :
               <div className="requests">
                 {requestNodes}
diff --git a/hubs/static/client/app/widgets/halp/getRequestView.jsx b/hubs/static/client/app/widgets/halp/getRequestView.jsx
index 3e0296f..1f7627b 100644
--- a/hubs/static/client/app/widgets/halp/getRequestView.jsx
+++ b/hubs/static/client/app/widgets/halp/getRequestView.jsx
@@ -44,13 +44,14 @@ export default function getRequestView(request, openCallback) {
         </div>
         : null }
         <div className="author media col-sm-12">
-          <div className="media-left media-middle">
-            <a href={request.author.url} target="_blank">
-              <img className="media-object square-32 img-circle"
-                   src={request.author.avatar} />
-            </a>
-          </div>
-          <div className="media-body">
+          <a
+            href={request.author.url} target="_blank"
+            className="d-flex mr-3"
+            >
+            <img className="square-32 img-circle"
+                 src={request.author.avatar} />
+          </a>
+          <div className="media-body align-self-center">
             <a href={request.author.url}>
               {request.author.name}
             </a>
